# Copyright 2022 Alibaba Group Holding Limited. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ==============================================================================

UNITS = {
  #
  "KB": 2**10,
  "MB": 2**20,
  "GB": 2**30,
  #
  "K": 2**10,
  "M": 2**20,
  "G": 2**30,
}

def parse_size(sz) -> int:
  if isinstance(sz, int):
    return sz
  if isinstance(sz, float):
    return int(sz)
  if isinstance(sz, str):
    for suf, u in sorted(UNITS.items()):
      if sz.upper().endswith(suf):
        return int(float(sz[:-len(suf)]) * u)
  raise Exception(f"invalid size: {sz}")
