"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
Copyright 2020 Alibaba Group Holding Limited. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""
import builtins
import google.protobuf.descriptor
import google.protobuf.internal.enum_type_wrapper
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

class _Code:
    ValueType = typing.NewType("ValueType", builtins.int)
    V: typing_extensions.TypeAlias = ValueType

class _CodeEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[_Code.ValueType], builtins.type):
    DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
    OK: _Code.ValueType  # 0
    """Not an error; returned on success."""
    TIMEOUT_ERROR: _Code.ValueType  # 1
    """Timeout, used when an operation fail to return result in an specific time."""
    NOT_FOUND_ERROR: _Code.ValueType  # 2
    """Required resources cannot be found."""
    CONNECTION_ERROR: _Code.ValueType  # 3
    """Connection error with client.
    e.g. multiple client connect to coordinator at the same time or
    failed to launch engine locally.
    """
    VINEYARD_ERROR: _Code.ValueType  # 4
    """Error raised by vineyard."""
    COMPILATION_ERROR: _Code.ValueType  # 5
    """Compile graph frame or app frame failed."""
    ALREADY_EXISTS_ERROR: _Code.ValueType  # 6
    """File or resources already existed."""
    UDF_INTERNAL_ERROR: _Code.ValueType  # 7
    """Error raised when running UDF application"""
    UNAVAILABLE_ERROR: _Code.ValueType  # 8
    """Resources temporary unavaiable."""
    INVALID_ARGUMENT_ERROR: _Code.ValueType  # 9
    """Arguments of operations is invalid / in a wrong format."""
    PERMISSION_DENIED_ERROR: _Code.ValueType  # 10
    """Client doesn't have the permission."""
    NETWORK_ERROR: _Code.ValueType  # 11
    """Network is unreachable"""
    K8S_ERROR: _Code.ValueType  # 12
    """Error reported  by the k8s cluster"""
    UNIMPLEMENTED_ERROR: _Code.ValueType  # 13
    """Functionality not implemented yet"""
    GREMLIN_QUERY_ERROR: _Code.ValueType  # 14
    """Error raised when executing gremlin query"""
    RETRIES_EXCEEDED_ERROR: _Code.ValueType  # 15
    """Retry time exceed the defined maximum threshold"""
    ANALYTICAL_ENGINE_INTERNAL_ERROR: _Code.ValueType  # 30
    """Errors raised by analytical engine"""
    INTERACTIVE_ENGINE_INTERNAL_ERROR: _Code.ValueType  # 31
    """Errors raised by interactive engine"""
    LEARNING_ENGINE_INTERNAL_ERROR: _Code.ValueType  # 32
    """Errors raised by learning engine"""
    COORDINATOR_INTERNAL_ERROR: _Code.ValueType  # 33
    """Errors raised by coordinator"""
    WORKER_RESULTS_INCONSISTENT_ERROR: _Code.ValueType  # 41
    """Errors raised by analytical engine
    Results of workers not consistent
    """
    UNKNOWN_ERROR: _Code.ValueType  # 101
    """Unknown error."""
    FATAL_ERROR: _Code.ValueType  # 102
    """Fatal error.
    Means the service is not recoverable.
    e.g. engine socket closed in grpc connection. Usually means engine has crashed.
    """

class Code(_Code, metaclass=_CodeEnumTypeWrapper): ...

OK: Code.ValueType  # 0
"""Not an error; returned on success."""
TIMEOUT_ERROR: Code.ValueType  # 1
"""Timeout, used when an operation fail to return result in an specific time."""
NOT_FOUND_ERROR: Code.ValueType  # 2
"""Required resources cannot be found."""
CONNECTION_ERROR: Code.ValueType  # 3
"""Connection error with client.
e.g. multiple client connect to coordinator at the same time or
failed to launch engine locally.
"""
VINEYARD_ERROR: Code.ValueType  # 4
"""Error raised by vineyard."""
COMPILATION_ERROR: Code.ValueType  # 5
"""Compile graph frame or app frame failed."""
ALREADY_EXISTS_ERROR: Code.ValueType  # 6
"""File or resources already existed."""
UDF_INTERNAL_ERROR: Code.ValueType  # 7
"""Error raised when running UDF application"""
UNAVAILABLE_ERROR: Code.ValueType  # 8
"""Resources temporary unavaiable."""
INVALID_ARGUMENT_ERROR: Code.ValueType  # 9
"""Arguments of operations is invalid / in a wrong format."""
PERMISSION_DENIED_ERROR: Code.ValueType  # 10
"""Client doesn't have the permission."""
NETWORK_ERROR: Code.ValueType  # 11
"""Network is unreachable"""
K8S_ERROR: Code.ValueType  # 12
"""Error reported  by the k8s cluster"""
UNIMPLEMENTED_ERROR: Code.ValueType  # 13
"""Functionality not implemented yet"""
GREMLIN_QUERY_ERROR: Code.ValueType  # 14
"""Error raised when executing gremlin query"""
RETRIES_EXCEEDED_ERROR: Code.ValueType  # 15
"""Retry time exceed the defined maximum threshold"""
ANALYTICAL_ENGINE_INTERNAL_ERROR: Code.ValueType  # 30
"""Errors raised by analytical engine"""
INTERACTIVE_ENGINE_INTERNAL_ERROR: Code.ValueType  # 31
"""Errors raised by interactive engine"""
LEARNING_ENGINE_INTERNAL_ERROR: Code.ValueType  # 32
"""Errors raised by learning engine"""
COORDINATOR_INTERNAL_ERROR: Code.ValueType  # 33
"""Errors raised by coordinator"""
WORKER_RESULTS_INCONSISTENT_ERROR: Code.ValueType  # 41
"""Errors raised by analytical engine
Results of workers not consistent
"""
UNKNOWN_ERROR: Code.ValueType  # 101
"""Unknown error."""
FATAL_ERROR: Code.ValueType  # 102
"""Fatal error.
Means the service is not recoverable.
e.g. engine socket closed in grpc connection. Usually means engine has crashed.
"""
global___Code = Code
